'use strict'

//import SCNVector4 from './SCNVector4'

/**
 * Returns a new four-component vector created from individual component values.
 * @access public
 * @param {number} x - The first component of the vector.
 * @param {number} y - The second component of the vector.
 * @param {number} z - The third component of the vector.
 * @param {number} w - The fourth component of the vector.
 * @returns {SCNVector4} - 
 * @see https://developer.apple.com/documentation/scenekit/1409677-scnvector4make
 */
const SCNVector4Make = function(x, y, z, w) {
  return new SCNVector4Make(x, y, z, w)
}

export default SCNVector4Make
